code
stringlengths
2
1.05M
repo_name
stringlengths
5
110
path
stringlengths
3
922
language
stringclasses
1 value
license
stringclasses
15 values
size
int64
2
1.05M
#!/bin/sh BUILD_DIR="build" if [ "$1" == "clean" ]; then rm -rf $BUILD_DIR fi if [ ! -d $BUILD_DIR ]; then mkdir $BUILD_DIR || exit 1 fi cd build cmake ../ #-DMTM_EMULATOR=ON make cd .. exit 0
leftbrainstrain/tpm-emulator
build.sh
Shell
gpl-2.0
204
#Copyright (C) 2004-2009 Freescale Semiconductor, Inc. All Rights Reserved. # #The code contained herein is licensed under the GNU General Public #License. You may obtain a copy of the GNU General Public License #Version 2 or later at the following locations: # #http://www.opensource.org/licenses/gpl-license.html #http...
wanghao-xznu/vte
testcases/vte_tests_suite/security_tests/scc_testcases/scc_scr.sh
Shell
gpl-2.0
2,918
#!/bin/bash #Implementación de lo establecido en: #http://wiki.flightgear.org/Building_FlightGear_-_Debian #Usa: git aria2 #Más detalles en http://wiki.flightgear.org/Scripted_Compilation_on_Linux_Debian/Ubuntu #Se puede mejorar revisando: #https://sourceforge.net/p/flightgear/fgmeta/ci/next/tree/download_and_compile....
DellDor/InstaladoresDebian
CompilaFlighGear.sh
Shell
gpl-2.0
9,586
#!/bin/bash # # A script to make building various images for the uWARP easier # # defines LOGFILE_NAME="openuwarpbuild.log" DEFAULT_BASE_DIR_PATH="./" BASE_DIR_PATH="" # text colours NORMAL=`echo "\033[m"` MENU=`echo "\033[36m"` #Blue NUMBER=`echo "\033[33m"` #orange FOREGROUND_RED=`echo "\033[41m"` RED_TEXT=`echo "...
pikatechnologies/openuwarp
open-uwarp-build.sh
Shell
gpl-2.0
12,942
#!/bin/sh files=`find $1 -name "*.c" -o -name "*.h" \ | sort \ | grep -v intl \ | grep -v "Freeciv.h" \ | fgrep -v "_gen." \ | grep -v "config.h" \ | grep -v "config.mac.h" \ | grep -v amiga \ | grep -v gtkpixcomm \ | grep -v mmx.h \ | grep -v SDL_t...
seggil/warciv
tests/copyright.sh
Shell
gpl-2.0
735
#!/bin/bash cd test runghc -i../src/ -i../lib/ EndToEndTest.hs cd ..
ivanmoore/seedy
run-tests.sh
Shell
gpl-3.0
69
#!/bin/bash rm -f seipp.zip zip -r seipp.zip . -x ".git*" "scripts/*" "node_modules/*" echo "Create seipp.zip"
jonatasrs/sei
scripts/make.sh
Shell
gpl-3.0
112
#!/bin/bash test_info() { cat <<EOF Verify that the CTDB_NFS_SKIP_SHARE_CHECK configuration option is respected. We create a file in /etc/ctdb/rc.local.d/ that creates a function called exportfs. This effectively hooks the exportfs command, allowing us to provide a fake list of shares to check or not check. We ...
wolfmuel/ctdb
tests/complex/01_ctdb_nfs_skip_share_check.sh
Shell
gpl-3.0
4,320
#!/bin/bash set -e if [ -z "${CGAL_TEST_PLATFORM}" ]; then export CGAL_TEST_PLATFORM="${HOSTNAME}" echo "CGAL_TEST_PLATFORM not set. Using HOSTNAME:${HOSTNAME}" fi # HACK: We depend on this line to easily extract the platform name # from the logs. echo "CGAL_TEST_PLATFORM=${CGAL_TEST_PLATFORM}" if [ -z "${CG...
bo0ts/cgal-testsuite-dockerfiles
run-testsuite.sh
Shell
gpl-3.0
2,829
#!/usr/bin/env bash # run scapy to scape links # select the links containing similar tags/words # run ner/sa # print out results SEARCH=$1 PWD=`pwd` TIME=`date +"%s"` CRAWL=./crawl/ echo "Scraping sites" cd $CRAWL NAME1="$TIME"-independet # echo $NAME1 scrapy runspider ./crawl/spiders/independent.py -...
v0idwalker/mgr-sources
scrape.sh
Shell
gpl-3.0
827
#!/bin/bash # # depositfiles.com module # Copyright (c) 2010-2013 Plowshare team # # This file is part of Plowshare. # # Plowshare is free software: you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation, either version 3 of the Licens...
mytskine/plowshare
src/modules/depositfiles.sh
Shell
gpl-3.0
13,070
#!/usr/bin/bash RAM=`echo $2 | awk '{print $1}'` CPU=`echo $3 | awk '{print $1}'` VBoxManage createvm --name $1 --register VBoxManage modifyvm $1 --vram $RAM --cpus $CPU VBoxManage modifyvm $1 --nic1 bridged --bridgeadapter1 e1000g0 echo "Creada!!!"
Tsubasa1218/juandasc
scriptCrear.sh
Shell
gpl-3.0
253
#!/bin/sh # Usage: apply-class-vlans.sh class 1 2 ... # Apply the listed VLANs to the given switch classes DEBUG="" if [ "$#" -gt 0 ]; then if [ "$1" = "--debug" ]; then DEBUG=1 shift fi else echo "Usage: $0 class/switch vlan ..." >&1 exit 1 fi CLASS="$1" shift VLANS="$*" . ./library.sh if [ "$PROG" = "app...
paulgear/procurve-rancid
apply-class-vlans.sh
Shell
gpl-3.0
659
#!/bin/sh # echo roadnet unweighted # build/src/bench/file_shortest_paths_seq_no_lazy_relax -n 1 -i roadNet-CA.txt -o seq fibheap # build/src/bench/file_shortest_paths_seq_no_lazy_relax -n 1 -i roadNet-CA.txt -o seq fibheap # build/src/bench/file_shortest_paths_seq_no_lazy_relax -n 1 -i roadNet-CA.txt -o seq fibheap ...
kjellwinblad/klsm
run_seq.sh
Shell
gpl-3.0
4,096
#!/bin/bash . config.in YAS_COMPANY_URL="https://raw.githubusercontent.com/company-mode/company-mode/master/company-yasnippet.el" function pkg_install { get_url_with_name company-yasnippet.el $YAS_COMPANY_URL copy_to_local company-yasnippet.el company-yasnippet } function pkg_update { : } . include.in...
restaurant-ide/restaurant
scripts/yasnippet.sh
Shell
gpl-3.0
321
#!/bin/bash # # Instalador desatendido para Openstack Juno sobre CENTOS7 # Reynaldo R. Martinez P. # E-Mail: TigerLinux@Gmail.com # Octubre del 2014 # # Script de desinstalacion de OS para Centos 7 # PATH=$PATH:/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin if [ -f ./configs/main-config.rc ] then sourc...
tigerlinux/openstack-juno-installer-centos7
modules/uninstall.sh
Shell
gpl-3.0
5,118
check_pkg_python_pyopenssl() { local br_version=$(grep -E "^$(echo ${1^^} | sed 's/-/_/g')_VERSION = " package/${1}/${1}.mk | awk '{print $3}') local version=$(wget -q -O - https://pypi.python.org/pypi/pyopenssl | grep -o -E "pyOpenSSL [0-9]+\.[0-9]+\.[0-9]+" | head -1 | grep -o -E "[0-9]+\.[0-9]+\.[0-9]+") if [[ ...
vriera/check-br-package-versions
packages/python-pyopenssl.sh
Shell
gpl-3.0
616
hash rsync 2>/dev/null || return # rsync with my favourite options alias jsync='rsync --archive --compress --itemize-changes --human-readable --partial --progress --verbose'
qjcg/dotfiles
.bash_profile.d/rsync.sh
Shell
gpl-3.0
175
#!/bin/bash file=appdir/usr/local root_path=$(pwd) if [ ! -e "$file" ] then mkdir -p $file mkdir -p $file/share/applications mkdir -p $file/bin fi cp bin/electronpass $file/bin cp data/electronpass.desktop $file/share/applications cp data/electronpass.svg $file/share/applications cd $file/bin if [ ! -e "linuxdep...
electronpass/electronpass-desktop
create-linux-appimage.sh
Shell
gpl-3.0
921
#!/bin/bash DIST=./Dist EXTRAS=./Extras RESOURCES="$EXTRAS/Resources" LPROJ="$RESOURCES/English.lproj"; SRCDIR=../../src MANDIR=../../man ROOT=./Root PKG=./Pkg/Info # Need to have absolute path so the 'default' utility sees them INFO_PLIST=$(pwd)/Pkg/Info DESC_PLIST=$(pwd)/Pkg/Description myself=$(basename $0) if [...
ask/gbsed
osx/Package/Build.sh
Shell
gpl-3.0
3,076
if [[ $commands[fasd] ]]; then # check if fasd is installed fasd_cache="$ZSH_CACHE_DIR/fasd-init-cache" if [[ ! -e "$fasd_cache" ]]; then mkdir -p "$fasd_cache" fi if test "$(command -v fasd)" -nt "$fasd_cache" -o ! -s "$fasd_cache"; then fasd --init auto >| "$fasd_cache" fi source "$fasd_cache" u...
alyptik/dotfiles
.zsh.d/plugins/fasd.plugin.zsh
Shell
gpl-3.0
394
for f in *.sql do echo -n "Importing $f into the database..." mysql dspdb -u darkstar -pMariSeth79 < $f && echo "Success" done
Kosmos82/kosmosdarkstar
sql/sql.sh
Shell
gpl-3.0
147
#!/bin/bash echo "********" echo "* CJMM *" echo "********" echo echo "******************************************************" echo "SELECT OST TENANT FOR JC1 ENVIRONMENTS" echo "******************************************************" OSTENVFILE="${HOME}/listostenvs.cnf" LISTOSTENVS="$(cat ${OSTENVFILE} | egrep '^OST...
Telefonica/iot-utils
myenvironments/bin/openstackenvJC1.sh
Shell
gpl-3.0
1,093
#!/bin/bash # setMultiFinderMode.sh # xbmclauncher # # Created by Stephan Diederich on 02/2009. # Copyright 2009 University Heidelberg. All rights reserved. PASSWD=frontrow E_MISSING_MF=3 MULTIFINDER=/System/Library/CoreServices/Finder.app/Contents/Plugins/XBMCLauncher.frappliance/Contents/Resources/MultiFinder.app c...
davilla/atv-xbmc-launcher
Launcher/setMultiFinderMode.sh
Shell
gpl-3.0
1,501
#!/bin/bash echo 'Framing screenshots' fastlane frameit echo 'Moving framed' mkdir -p framed mv en-GB/*framed.png framed/ # No text mv Framefile.json _Framefile.json echo 'Framing screenshots (no-text)' fastlane frameit echo 'Moving framed (no-text)' mkdir -p framed/no-text mv en-GB/*framed.png framed/no-text # C...
NERC-CEH/irecord-app
other/designs/framing/run.sh
Shell
gpl-3.0
363
#!/bin/bash #SBATCH -J NGmerge #SBATCH -n 4 # Use 1 cores for the job #SBATCH -t 0-04:00 # Runtime in D-HH:MM #SBATCH -p serial_requeue # Partition to submit to #SBATCH --mem=100 # Memory pool for all cores (see also --mem-per-cpu) #SBATCH -o NGmerge.%A.out # F...
tsackton/ratite-genomics
08_atacseq/NGmerge_20.sh
Shell
gpl-3.0
551
#!/usr/bin/env bash BASE_VERSION="2.5.0" INSTALL_MODULE="install -r" MKDIR_IF_NOT_EXIST="mkdir -vp" PYTHON=python REQUIREMENTS=requirements.txt # source file directory SRC_HOME=$HOME/bin/rosycloud_src # syncing directory ROSYCLOUD_HOME=$HOME/RosyCloud # system wide configure CONFIGS=$HOME/.rosycloud HOME_BIN=$HOME/bin...
jzhou77/RosyCloud
setup.sh
Shell
gpl-3.0
1,645
#!/bin/bash # # To DB first, wipe, use # # psql -U postgres -h sasdb --dbname=qpidinfra --file=$LOFARROOT/share/qpidinfrastructure/sql/qpidinfradb.sql # # ----------------------------------------- # Configuration # ----------------------------------------- # Whether to modify production (true) or test (false) if [...
kernsuite-debian/lofar
SAS/QPIDInfrastructure/bin/populateDB.sh
Shell
gpl-3.0
7,375
ARCH=i686 source distro/parabola/install.sh
mytbk/liveusb-builder
distro/parabola/32/install.sh
Shell
gpl-3.0
44
#!/bin/bash function base-convert-newlines { tr '\r' '\n' < $1 > $2 } function convert-newlines { base-convert-newlines source/marathon2/$1 unix/src/marathon2/$1 } function convert-newlines2 { mkdir -p unix/src/cseries-interfaces/ base-convert-newlines source/CSeriesInterfaces/$1 unix/src/cseries-interfaces/$1 } fu...
DrItanium/moo
misc/INFINITY_SOURCE_CODE_LICENSE/convert-newlines.sh
Shell
gpl-3.0
7,120
killall -9 jackd > /dev/null killall -9 itchy > /dev/null killall -9 scratchy > /dev/null killall -9 bbsync > /dev/null killall -9 fluxa > /dev/null
nebogeo/scheme-bricks
stop-audio.sh
Shell
gpl-3.0
149
#!/bin/bash -e . ../env/env brief="application library for the Xfce desktop environment" intro=" Extension library for Xfce, targeted at application development. " depends="gtk+3 (>= 3.24.10), libxfce4ui (>= 4.14.1), libxfce4util (>= 4.14.0),\ perl-module-uri (>= 1.76)" version=0.12.8 srcfil=exo-$version.tar.bz2 s...
fangxinmiao/projects
Architeture/OS/Linux/Distributions/LFS/build-scripts/blfs-9.0-systemd/scripts/e/exo.sh
Shell
gpl-3.0
622
#!/usr/bin/env bash # -*- ENCODING: UTF-8 -*- ## ## @author Raúl Caro Pastorino ## @copyright Copyright © 2017 Raúl Caro Pastorino ## @license https://wwww.gnu.org/licenses/gpl.txt ## @email raul@fryntiz.dev ## @web https://fryntiz.es ## @github https://github.com/fryntiz ## @gitlab https://...
fryntiz/preparar_entorno
Apps/GitKraken.sh
Shell
gpl-3.0
1,901
#!/bin/bash sudo mkdir -p /usr/local/src/ sudo chown $USER:$USER /usr/local/src
wdenton/conforguration
conforg/scripts/initialize.sh
Shell
gpl-3.0
80
#!/bin/bash /usr/local/bin/node /nodeApp/queue/update.js
slidewiki/user-service
application/queue/updateQueue.sh
Shell
mpl-2.0
58
#!/bin/bash -ex # # Copyright 2015 Casey Marshall. # # This Source Code Form is subject to the terms of the Mozilla Public # License, v. 2.0. If a copy of the MPL was not distributed with this # file, You can obtain one at http://mozilla.org/MPL/2.0/. # if [ ! -d "$GOPATH" ]; then echo "GOPATH not found" exit 1 ...
cmars/shadowfax
ftests/pushpop.bash
Shell
mpl-2.0
1,781
#!/bin/bash DIR=$(dirname "${BASH_SOURCE[0]}") FULL_DIR="$(cd "$DIR" && pwd)" BASE_DIR=$(dirname "${FULL_DIR}") source "${BASE_DIR}/python-env/bin/activate" python "${BASE_DIR}/scrapy-webscanner/exchange_cron.py"
os2webscanner/os2webscanner
cron/run_exchange_cron_script.sh
Shell
mpl-2.0
215
#!/bin/bash unset GIT_COMMIT_ID unset EXPECTED_BRANCH unset TARGET_BRANCH unset GIT_REMOTE_URL ### Functions ### usage() { cat << USAGE_END Usage: $0 options Utility script for merging a branch to another branch, pushing the result to a remote and doing checks along the way. It's main purpose is to assist in...
kayabendroth/cd-utils
scripts/git/merge-to.sh
Shell
mpl-2.0
3,024
#!/bin/bash set -xe trap 'jobs -p | xargs --no-run-if-empty kill' INT TERM EXIT export PATH=$PATH:/usr/local/bin export PIP_DOWNLOAD_CACHE=~/.pip_cache WD=`pwd` DB_HOST_IP=${DB_HOST_IP:=127.0.0.1} POSTGRES_PORT=${POSTGRES_PORT:=5432} echo "Downloading CKAN..." git clone https://github.com/ckan/ckan cd ckan git check...
keitaroinc/ckanext-datarequests
bin/setup_and_test.sh
Shell
agpl-3.0
3,100
#!/bin/sh export ARCH=$(uname -m) if [ "${ARCH}" == "aarch64" ]; then # https://docs.cypress.io/guides/getting-started/installing-cypress#Download-URLs echo "Skipping this step on aarch64 because we're not running Cypress tests there." exit 0 fi POSTGRES_PASSWORD="v3rys3cr3t" SUBNET_GROUP_NAME="default-v...
astrobin/astrobin
buildspecs/create-test-db.sh
Shell
agpl-3.0
798
cd "$(dirname "$0")" gcc -I../../../../ -I../../include -c ../../src/luke_mods.cpp -o temp/luke_mods.o gcc -I../../../../ -I../../include -c ../../src/steve_mods.cpp -o temp/steve_mods.o ar rcs src.a temp/steve_mods.o temp/luke_mods.o
The-Green-Team/Visitor-Program
Tools/qb64/internal/c/parts/user_mods/os/osx/setup_build.command
Shell
agpl-3.0
236
#!/bin/bash -e ###################################################### # Snipe-It Install Script # # Script created by Mike Tucker # # mtucker6784@gmail.com # # This script is just to help streamline the # # install process for Debian and CentOS ...
csd-dev/snipe-it
install.sh
Shell
agpl-3.0
12,128
#!/bin/bash exitstatus=0 for i in $(go list -f '{{.Dir}}' github.com/juju/core/...) do src=$i/*_test.go # The -s flag is needed to suppress errors when # the above pattern does not match any files. if grep -s -q -l 'launchpad.net/gocheck' $src && ! egrep -l -q 'gc\.TestingT|testing\.(\w*)MgoTestPackage' $src the...
jkary/core
scripts/checktesting.bash
Shell
agpl-3.0
494
#!/bin/bash # # FIXME: ImageMagick can map to a color palette but the PNG encoder rearranges the palette to whatever whim it fancies. # Telling the PNG encoder to preserve the color palette makes it forget there is a color palette (what?). # We're going to just have to write something to take the PNGs and...
joncampbell123/doslib
games/dgjamfall2020/codenamesunfish3d/devasset/png2palette.sh
Shell
lgpl-2.1
715
#!/bin/sh gource \ --seconds-per-day .1 \ --auto-skip-seconds .1 \ --file-idle-time 0 \ --multi-sampling \ --highlight-users \ --stop-at-end \ --key \ --title "History of GPlugin" \ --font-size 26 \ -1280x720 \ --max-files 0 \ --hide filenames,mouse,progress \ --output-framerate 30 \ -o - \ | ffmpeg \ -...
tieto/gplugin-pkg
scripts/makeviz.sh
Shell
lgpl-2.1
480
#!/bin/bash # ### BEGIN INIT INFO # Provides: ipt # Required-Start: $syslog $time # Required-Stop: $syslog $time $networking # Default-Start: 2 3 4 5 # Default-Stop: 0 1 6 # Short-Description: Set iptables # Description: Set iptables rules ### END INIT INFO # Source function library. . /...
csikfer/ipt
debipt.sh
Shell
lgpl-2.1
1,385
#!/usr/bin/env bash # For debug, uncomment: # set -x ######################################################################## # This script is responsible of handing over the build process, in a # proper out of source build directory. It takes care of calling cmake # first if needed, and then cd's into the proper sub...
mancoast/cado-nfs
scripts/call_cmake.sh
Shell
lgpl-2.1
6,127
#!/bin/bash # # pffinfo tool testing script # # Copyright (C) 2008-2015, Joachim Metz <joachim.metz@gmail.com> # # Refer to AUTHORS for acknowledgements. # # This software is free software: you can redistribute it and/or modify # it under the terms of the GNU Lesser General Public License as published by # the Free Sof...
PythonForensics/libpff
tests/test_pffinfo.sh
Shell
lgpl-3.0
3,254
docker_psa() { clear ps_result=$(docker ps --all --format "table {{.Image}}\t{{.Names}}\t{{.Ports}}\t{{.Status}}") ps_table_header=$(echo "${ps_result}" | head --lines=1) ps_table_rows_up=$( echo "${ps_result}" | tail --lines=+2 | \grep "Up" | # List running instances fi...
dot-star/dot-star
docker/.aliases.sh
Shell
unlicense
3,120
make mrproper make INSTALL_HDR_PATH=dest headers_install find dest/include \( -name .install -o -name ..install.cmd \) -delete mkdir -p /usr/include cp -rv dest/include/* /usr/include
pampa/cyberdeck
try4/usr/src/core/linux-headers.sh
Shell
unlicense
186
#!/bin/bash # This is an example of the request format that OpenBazaar-Server accepts : "${OB_USERNAME:?OB_USERNAME required in env}" : "${OB_PASSWORD:?OB_PASSWORD required in env}" : "${OB_PROTO:?OB_PROTO required in env}" : "${OB_PORT:?OB_PORT required in env}" : "${OB_HOST:?OB_HOST required in env}" sep='##' fu...
insanity54/insane-openbazaar-api
utils/curls.sh
Shell
unlicense
1,773
#!/bin/bash sed -i 's/\(127\.0\.0\.1\)\s*.*\s*\(localhost\)\s/\1\t\2 /' /etc/hosts
andreabattaglia/redhat-jboss-mw-arch-vagrant
hostname.sh
Shell
apache-2.0
84
#! /bin/sh # Copyright 2016 Aino.io # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or ag...
Aino-io/agent-shell
scripts/aino.sh
Shell
apache-2.0
3,871
#!/usr/bin/env bash PLUGINS_DIR="/etc/logstash/plugins" LOGSTASH_GEM="/opt/logstash/Gemfile" PLUGINS=$(ls -1A ${PLUGINS_DIR} | grep -v "add_plugins.sh" ) if [ ${#PLUGINS[@]} -eq 0 ]; then echo "INFO: No local plugins in ${PLUGINS_DIR}" else for i in ${PLUGINS}; do echo "gem '${i}', :path => '${PLUG...
Enteee/EtherFlows
flowworker/logstash/plugins/add_plugins.sh
Shell
apache-2.0
367
#!/bin/bash # Cleaning up apt and bash history before packaging the box. sudo mkdir -p /etc/systemd/system/apt-daily.timer.d/ cat <<EOF | sudo tee -a /etc/systemd/system/apt-daily.timer.d/apt-daily.timer.conf > /dev/null [Timer] Persistent=false EOF sudo apt-get clean cat /dev/null > ~/.bash_history && history -c && ...
openebs/openebs
k8s/lib/vagrant/boxes/openebs/cleanup_openebs.sh
Shell
apache-2.0
324
#!/usr/bin/env bash # Start script. Docker compose seems to not support parameters of line 13/14, so we stay at bash scripting. docker run --name todomanagerdb \ -v /$(PWD)/src/main/schema:/docker-entrypoint-initdb.d \ -e MYSQL_ROOT_PASSWORD=admin \ -d mysql:5.7.16 docker run --name todomanager \ --li...
aliayhan/todomanager
src/main/docker/docker.sh
Shell
apache-2.0
468
#!/bin/bash cd /var/tmp wget -O ec2id.tar.gz http://github.com/cread/ec2id/tarball/master tar fxz ec2id.tar.gz cd cread-ec2id-* echo -n "Starting up ec2id in $(pwd)..." nohup python ec2id.py > ec2id.log & echo "done!"
cread/ec2id
ec2id.sh
Shell
apache-2.0
223
#!/usr/bin/env bash set -e directories=$(glide novendor) for i in $directories do if [[ "$i" == "." ]]; then continue fi go vet $i golint $i goimports -d $(dirname $i) done
tangfeixiong/go-to-exercise
vendor/github.com/ory/graceful/ci-lint.sh
Shell
apache-2.0
189
#!/bin/sh rm -rf ../pyharmony cd ../fauxmo git pull cd ../PyISY git pull cd ../hue-upnp git pull cd ../ISYHelper git pull
jimboca/ISYHelper
update.sh
Shell
apache-2.0
123
#!/bin/bash # Copyright 2017 Chris Drake # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or agreed to...
cjdrake/cppftw
script/travis.sh
Shell
apache-2.0
967
#!/bin/bash if [ ! -f /.redis_configured ]; then if [ "$REDIS_MODE" == "LRU" ]; then echo "=> Configuring redis as a LRU cache" MAXMEMORY=${REDIS_MAXMEMORY:-"256mb"} touch /etc/redis/redis_default.conf echo "maxmemory $MAXMEMORY" >> /etc/redis/redis_default.conf echo "maxmem...
dell-cloud-marketplace/docker-redis
run.sh
Shell
apache-2.0
730
#!/bin/sh xx="1 10 100 500 1000 1500" for y in $xx; do for x in $xx; do ./cp-benchmark $y $x || exit 1 done done
ivantishchenko/OpenMP-CUDA
cp8/benchmark.sh
Shell
apache-2.0
130
#!/bin/bash # Copyright 2016 Google Inc. All Rights Reserved. # Licensed under the Apache License, Version 2.0 (the "License"); . $(dirname $0)/../common.sh set -x rm -rf $CORPUS fuzz-*.log mkdir $CORPUS [ -e $EXECUTABLE_NAME_BASE ] && ./$EXECUTABLE_NAME_BASE -use_value_profile=1 -artifact_prefix=$CORPUS/ -jobs=$JOBS ...
google/fuzzer-test-suite
vorbis-2017-12-11/test-libfuzzer.sh
Shell
apache-2.0
488
#!/bin/bash # Entrypoint script that starts a Docker daemon inside the Dock container # for us so that it is always available. set -euo pipefail start_docker() { # Don't do anything if daemon already running if docker info >/dev/null 2>&1; then return fi sudo dockerd>/dev/null 2>&1 & dockerd_pid=$! ...
brigade/dock
script/entrypoint.bash
Shell
apache-2.0
625
#!/bin/sh CMD="${1}"; shift; exec "${CMD}" "${@}"
kubernetes/cloud-provider-vsphere
test/vcsim/entrypoint.sh
Shell
apache-2.0
49
#!/bin/bash # vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 fileencoding=utf-8 : # # Copyright 2014 by James Burlingame # Apache 2.0 License # FAMILY="mysql" PACKAGE="mysql" MAJOR_VERSION="5.5" RELEASE="5.5.33" # #http://dev.mysql.com/get/Downloads/MySQL-5.6/mysql-5.6.13.tar.gz/from/http://cdn.mysql.com/ #ht...
samplx/installers
mysql55.sh
Shell
apache-2.0
2,334
#!/bin/bash #There are two spark jobs in this demo #A streaming job that listens to active twitter feed #A batch job that aggregates inital sketch and creates a new perspectives if [ `hostname` == 'node0' ] then echo "Building Steaming Job... output to streaming-job-build.log" #Build Twitter Streaming Project mv...
michaelraney/datastax-sketch-examples
.startup/streaming.sh
Shell
apache-2.0
1,258
#!/bin/sh # Go through nodes and display the public ip(s) for id in $(dcos node --json | jq --raw-output '.[] | select(.attributes.public_ip == "true") | .id'); do dcos node ssh --option StrictHostKeyChecking=no --option LogLevel=quiet --master-proxy --mesos-id=$id "curl -s ifconfig.co" ; done 2>/dev/null
Zuehlke/SHMACK
scripts/get-public-ip.sh
Shell
apache-2.0
309
#!/usr/bin/env bash chain=$(mktemp -d) cd $chain $burrow_bin spec -v1 -d2 | $burrow_bin configure -s- --curve-type secp256k1 > burrow.toml $burrow_bin start &> /dev/null & burrow_pid=$! contracts=$(mktemp -d) cd $contracts function finish { kill -TERM $burrow_pid rm -rf "$chain" rm -rf "$contracts" } tra...
eris-ltd/eris-db
tests/web3/truffle.sh
Shell
apache-2.0
570
#!/bin/sh DEMOSDIR=./demos COUCHURL="http://localhost:5984" COUCHDIR=`curl ${COUCHURL}/_config/couchdb/database_dir 2> /dev/null | sed s/\"//g` echo "Found CouchDB at ${COUCHDIR}" # fetch db snapshot wget http://dev.medicmobile.org/downloads/temp/medic-demos-release-20151104.tar.xz # set the expected output dir to DE...
medic/medic-analytics
bin/replace_couch.sh
Shell
apache-2.0
1,012
#!/bin/sh docker run --rm -it \ -e POSTGRES_DB=pachyderm \ -e POSTGRES_USER=pachyderm \ -e POSTGRES_HOST_AUTH_METHOD=trust \ -p 32228:5432 \ postgres:13.0-alpine
pachyderm/pfs
etc/contributing/run_postgres.sh
Shell
apache-2.0
162
#!/bin/bash # ========================================================== # ========================================================== # THENOWFACTORY www.thenowfactory.com # # Author: Agustin Fernandez # Creation date: 18/Aug/2011 # # DESCRIPTION: This script fixes 'Failed' & 'UnConfigured' # disks whe...
peter-watters/WebPortfolio
tnf_inventory/Sample_scripts/check_MegaSAS.sh
Shell
apache-2.0
9,454
#!/usr/bin/env bash bundle exec jekyll serve --config _config.yml,_config_github.yml
freakonometrics/arthurcharpentier
src/run-jekyll-local-as-github.sh
Shell
apache-2.0
85
#!/bin/bash # Copyright 2015 Insight Data Science # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or ...
InsightDataScience/pegasus
examples/eventsim/spark_hadoop.sh
Shell
apache-2.0
1,033
#!/bin/bash # A small script that submits a code for code review. # # Copyright 2012 The Plaso Project Authors. # Please see the AUTHORS file for details on individual authors. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You ma...
cvandeplas/plaso
utils/submit.sh
Shell
apache-2.0
5,182
#!/usr/bin/bash python3 manage.py loaddata db_backups/default/init_database.json
ceos-seo/data_cube_ui
scripts/load_default_fixture.sh
Shell
apache-2.0
81
#! /bin/bash help() { echo "USAGE : " echo "" echo "config.sh migrate" echo "" echo "config.sh unmigrate" echo "" echo "config.sh preload" } migrate() { python manage.py makemigrations python manage.py migrate } unmigrate() { find . -path "*/migrations/*.py" -not -name "__init__.py" -delete find . -path "...
amitdhiman000/MyOffers
config.sh
Shell
apache-2.0
553
#!/usr/bin/env bash # Copyright 2016 The Kubernetes Authors. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applica...
therc/kubernetes
cluster/gce/gci/configure-helper.sh
Shell
apache-2.0
115,235
#!/bin/bash ############################################################################### # Author: Jens V. Fischer # Date: 11.11.2015 # # Running a benchmark series on a Scalaris slurm installation with basho bench. # The scripts reads the basho-bench.cfg, sets up a Scalaris ring using the slurm # cluster managemen...
scalaris-team/scalaris
contrib/slurm/basho-bench.sh
Shell
apache-2.0
20,008
find . -name .git -exec rm {} \;
j-rivero/ihmc_valkyrie_ros-debian
debian/import-orig-script.bash
Shell
apache-2.0
33
#!/usr/bin/env bash echo host start
ChaosXu/nerv
resources/scripts/nerv/compute/Host/start.sh
Shell
apache-2.0
37
#!/bin/bash # ------------------------------------------------------------------ # build script # install [jpetazzo/nsenter](https://github.com/jpetazzo/nsenter) # ------------------------------------------------------------------ set -e SUBJECT=y12docker-prq-dev VERSION=0.1.0 USAGE="Usage: gc2mt.sh -vh args" DOCKER=...
y12studio/y12docker
prq/gc2mt.sh
Shell
apache-2.0
2,637
#!/bin/bash # Given a file path, scp it to all the VMs running (to the home path) if [ "$#" -ne 1 ]; then echo "Illegal number of parameters; Please provide the path to the file as the parameter;" exit 1 fi num_vms=$num_vms file_to_scp=$1 port=3022 for i in `seq 1 $num_vms`; do scp -P $port $file_to_scp us...
utsaslab/crashmonkey
vm_scripts/scp_file_to_vms.sh
Shell
apache-2.0
364
#!/usr/bin/env bash set -euxo pipefail dir=$(cd -P -- "$(dirname -- "$0")" && pwd -P) rm -rf ${dir}/irma_configuration_invalid/irma-demo rm -rf ${dir}/irma_configuration_updated/irma-demo rm -rf ${dir}/irma_configuration_updated/test-requestors cp -r ${dir}/irma_configuration/irma-demo ${dir}/irma_configuration_inva...
credentials/irmago
testdata/makeschemes.sh
Shell
apache-2.0
1,767
#!/bin/bash # # Copyright (c) 2001-2018 Primeton Technologies, Ltd. # All rights reserved. # # author: ZhongWen Li (mailto:lizw@primeton.com) # if [ -z ${TOMCAT_HOME} ]; then echo "[`date`] [ERROR] \${TOMCAT_HOME} not found." exit 1 fi if [ ! -d ${TOMCAT_HOME} ]; then echo "[`date`] [ERROR] TOMCAT_HOME=${TOMCAT...
primeton-cloud-ltd/devops-registry
docker/tomcat/resources/entrypoint.sh
Shell
apache-2.0
1,877
# ----------------------------------------------------------------------------- # # Package : raw-body # Version : 2.3.2 # Source repo : https://github.com/stream-utils/raw-body # Tested on : RHEL 8.3 # Script License: Apache License, Version 2 or later # Maintainer : BulkPackageSearch Automation <sethp@us.ibm.com> # #...
ppc64le/build-scripts
r/raw-body/raw-body_rhel_8.3.sh
Shell
apache-2.0
3,060
#!/bin/bash # Licensed to the Apache Software Foundation (ASF) under one or more # contributor license agreements. See the NOTICE file distributed with # this work for additional information regarding copyright ownership. # The ASF licenses this file to You under the Apache License, Version 2.0 # (the "License"); you...
gzsombor/ranger
unixauthservice/scripts/ranger-usersync-services.sh
Shell
apache-2.0
5,734
#!/bin/bash set -exo pipefail readonly PACKAGES=$(/usr/share/google/get_metadata_value attributes/CONDA_PACKAGES || true) function main() { if [[ -z "${PACKAGES}" ]]; then echo "ERROR: Must specify CONDA_PACKAGES metadata key" exit 1 fi conda install ${PACKAGES} } main
dennishuo/dataproc-initialization-actions
python/conda-install.sh
Shell
apache-2.0
290
#!/bin/bash # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or agreed to in writing, software # distribut...
mycFelix/heron
release/maven/maven-pom-version.sh
Shell
apache-2.0
1,698
#!/bin/bash versionPattern="[0-9]+\.[0-9]+\.[0-9]+(\-beta)*" tagName="" while [[ ! $tagName =~ $versionPattern ]]; do read -p "Tag name (version): " tagName done if ! grep -Fq "<version>$tagName</version>" ./pom.xml; then echo -e "$(tput setaf 1)WOW, wait! The provided tag does not match the pom.xml version$(tp...
anthonyraymond/joal
publish.sh
Shell
apache-2.0
883
# Copyright 2018 The Kubernetes Authors. # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # http://www.apache.org/licenses/LICENSE-2.0 # Unless required by applicable law or agreed to in writ...
GoogleCloudPlatform/k8s-multicluster-ingress
vendor/k8s.io/ingress-gce/deploy/glbc/script.sh
Shell
apache-2.0
9,396
#!/usr/bin/env bash set -o nounset set -o pipefail # By default, agents are provisioned in parallel during boot machine provisioning. # The following agent provisioning should only run if the boot machine provisioning has already occurred. # This ready check validates that the boot machine is ready and not just being...
timcharper/dcos-vagrant
provision/bin/type-agent-private.sh
Shell
apache-2.0
1,097
_dl_cmd help "list available commands and their help" _dl_help () { echo "$HELP" }
jpetazzo/dockerlite
lib/dockerlite-help.sh
Shell
apache-2.0
87
#!/bin/sh execpath=$(dirname $BASH_SOURCE) if ! which psql >/dev/null; then echo "Postgres isn't installed! Exiting..."; exit 1; fi # Set up database user. Run this script immediately after cloning the codebase and before rake db:setup. echo "\nYour db name:" read dbname; echo "\nYour db username:" read us...
storjarn/node-toolbox
tools/db/pg.db.create.sh
Shell
apache-2.0
1,687
/system/bin/logcat -v time -b radio >> /data/rlog
baidurom/devices-onex
vendor/system/xbin/rlog.sh
Shell
apache-2.0
50
#!/bin/bash namebase="tk" topicbase="sf" broker="a81:9092" taskcfgfile="tktemp.json" for i in $(seq 1 $1); do name=${namebase}${i} topic=${topicbase}${i} cat > ${taskcfgfile} << ZZZ { "id": "/${name}", "cmd": "java -cp \$MESOS_SANDBOX/rt-jar-with-dependencies.jar org.jennings.rt.source.tcp.TcpKafka \$PORT0 ${...
david618/rt
scripts/add-tk.sh
Shell
apache-2.0
1,262
#!/bin/bash bin_dir=$(realpath $(dirname "$0")) cd "$bin_dir" P='WW-ParserGen-PDA' V='0.12.2' PV="$P-$V" rm -rf "/tmp/root/$PV" mkdir -p "/tmp/root/$PV" rm -f "$PV" rsync --archive -v --relative $(<MANIFEST) "/tmp/root/$PV" chown -R root:root "/tmp/root/$PV" (cd /tmp/root; tar --gzip -cvf "$bin_dir/$PV.tar.gz" "$PV...
wwdev/WW-ParserGen-PDA
make-tar.sh
Shell
artistic-2.0
324
#! /usr/bin/env bash set -e [[ -s $HOME/.rvm/scripts/rvm ]] && source $HOME/.rvm/scripts/rvm if [[ -z ${RUBY_RUNTIME} ]]; then RUBY_RUNTIME=$1 fi if [[ -z ${RUBY_RUNTIME} ]]; then RUBY_RUNTIME=1.8.7 fi if [[ -n "${JOB_NAME}" ]] ; then GEMSET=`echo ${JOB_NAME} | sed "s!/RUBY_RUNTIME=.*!!" | sed "s/ /_/g"` else...
zephirworks/easy_multipart
hudson.sh
Shell
bsd-2-clause
673
#!/bin/sh dst=~/.local/share/gnome-shell/extensions edir=MyApps-in-UserMenu-bernard@pc9 ldir=libs files="extension.js Entry.js Application.js metadata.json" rm -fRv $dst/$edir mkdir -p $dst/$edir cp -Rav ../libs $dst/$edir for f in $files do cp -av $edir/$f $dst/$edir done
BernardBeefheart/gnome-applets
my-apps-menu/install.sh
Shell
bsd-3-clause
278
#!/bin/bash set -ex readonly BASE="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)" readonly BUILD_DIR="${BASE}/../.build" readonly TEST_IMAGES_BASE="${TRAVIS_BUILD_DIR}/rsqueakvm/test/images" readonly TEST_IMAGES_BASE_URL="https://www.hpi.uni-potsdam.de/hirschfeld/artefacts/rsqueak/testing/images" export OPTIONS="" s...
HPI-SWA-Lab/RSqueak
.travis/install_requirements.sh
Shell
bsd-3-clause
2,802